Bug 1296323 - pdfjam produces output file in temp directory but not in destination directory
pdfjam produces output file in temp directory but not in destination directory
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pdfjam (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 16:49 EST by Dario Lesca
Modified: 2016-12-20 12:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:39:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of pdfjam (/var/tmp/pdfjam-3RTFB5/a.log) (19.52 KB, text/plain)
2016-01-06 16:49 EST, Dario Lesca
no flags Details

  None (edit)
Description Dario Lesca 2016-01-06 16:49:31 EST
Created attachment 1112273 [details]
log of pdfjam (/var/tmp/pdfjam-3RTFB5/a.log)

Description of problem:

All command run of pdfjam  exit with error
If I add --no-tidy option, into temp folder  there is a correct a.pdf output

Version-Release number of selected component (if applicable):

[lesca@dodo ~]$ rpm -qa|grep texlive-
texlive-ifetex-svn24853.1.2-17.fc23.noarch
texlive-pst-plot-svn33196.1.61-17.fc23.noarch
texlive-graphics-svn32655.1.0o-17.fc23.noarch
texlive-texconfig-bin-svn29741.0-17.20140525_r34255.fc23.noarch
texlive-marvosym-svn29349.2.2a-17.fc23.noarch
texlive-pst-fill-svn15878.1.01-17.fc23.noarch
texlive-kpathsea-bin-svn30088.0-17.20140525_r34255.fc23.x86_64
texlive-pdftex-bin-svn30845.0-17.20140525_r34255.fc23.x86_64
texlive-kpathsea-svn32266.0-17.fc23.noarch
texlive-pdftex-def-svn22653.0.06d-17.fc23.noarch
texlive-luatexbase-svn30562.0.6-17.fc23.noarch
texlive-marginnote-svn25880.v1.1i-17.fc23.noarch
texlive-latex-bin-svn29764.0-17.fc23.noarch
texlive-ifxetex-svn19685.0.5-17.fc23.noarch
texlive-l3packages-svn32537.SVN_4634-17.fc23.noarch
texlive-luatex-svn33312.0.70.1-17.fc23.noarch
texlive-memoir-svn31044.3.7b-17.fc23.noarch
texlive-chngcntr-svn17157.1.0a-17.fc23.noarch
texlive-pst-grad-svn15878.1.06-17.fc23.noarch
texlive-thumbpdf-svn29725.3.15-17.fc23.noarch
texlive-fontspec-svn32416.v2.3c-17.fc23.noarch
texlive-carlisle-svn18258.0-17.fc23.noarch
texlive-listings-svn33095.1.5c-17.fc23.noarch
texlive-csquotes-svn24393.5.1d-17.fc23.noarch
texlive-fancyvrb-svn18492.2.8-17.fc23.noarch
texlive-base-2014-17.20140525_r34255.fc23.noarch
texlive-mparhack-svn15878.1.4-17.fc23.noarch
texlive-filehook-svn24280.0.5d-17.fc23.noarch
texlive-iftex-svn29654.0.2-17.fc23.noarch
texlive-pst-text-svn15878.1.00-17.fc23.noarch
texlive-tetex-bin-svn29741.0-17.20140525_r34255.fc23.noarch
texlive-pst-ovl-svn32514.0.04-17.fc23.noarch
texlive-xcolor-svn15878.2.11-17.fc23.noarch
texlive-thumbpdf-bin-svn6898.0-17.20140525_r34255.fc23.noarch
texlive-kastrup-svn15878.0-17.fc23.noarch
texlive-xunicode-svn30466.0.981-17.fc23.noarch
texlive-pstricks-add-svn32760.3.65-17.fc23.noarch
texlive-texlive.infra-bin-svn29741.0-17.20140525_r34255.fc23.x86_64
texlive-footmisc-svn23330.5.5b-17.fc23.noarch
texlive-pdfjam-bin-svn17868.0-17.20140525_r34255.fc23.noarch
texlive-ms-svn29849.0-17.fc23.noarch
texlive-url-svn32528.3.4-17.fc23.noarch
texlive-filecontents-svn24250.1.3-17.fc23.noarch
texlive-luaotfload-bin-svn30313.0-17.20140525_r34255.fc23.noarch
texlive-auto-pst-pdf-svn23723.0.6-17.fc23.noarch
texlive-multido-svn18302.1.42-17.fc23.noarch
texlive-enumitem-svn24146.3.5.2-17.fc23.noarch
texlive-ifplatform-svn21156.0.3a-17.fc23.noarch
texlive-pst-node-svn33303.1.33-17.fc23.noarch
texlive-metafont-bin-svn30088.0-17.20140525_r34255.fc23.x86_64
texlive-pst-math-svn20176.0.61-17.fc23.noarch
texlive-pgf-svn33057.3.0.0-17.fc23.noarch
texlive-amsmath-svn30645.2.14-17.fc23.noarch
texlive-qstest-svn15878.0-17.fc23.noarch
texlive-environ-svn29600.0.3-17.fc23.noarch
texlive-showexpl-svn32737.v0.3l-17.fc23.noarch
texlive-kpathsea-lib-2014-17.20140525_r34255.fc23.x86_64
texlive-babel-svn33283.3.9k-17.fc23.noarch
texlive-parallel-svn15878.0-17.fc23.noarch
texlive-eso-pic-svn31875.2.0d-17.fc23.noarch
texlive-ifluatex-svn26725.1.3-17.fc23.noarch
texlive-sauerj-svn15878.0-17.fc23.noarch
texlive-varwidth-svn24104.0.92-17.fc23.noarch
texlive-pst-coil-svn24020.1.06-17.fc23.noarch
texlive-hyphen-base-svn31131.0-17.fc23.noarch
texlive-pdfjam-svn29752.2.02-17.fc23.noarch
texlive-koma-script-svn32489.3.12-17.fc23.noarch
texlive-metafont-svn29764.2.718281-17.fc23.noarch
texlive-babelbib-svn25245.1.31-17.fc23.noarch
texlive-soul-svn15878.2.4-17.fc23.noarch
texlive-unicode-math-svn30504.0.7d-17.fc23.noarch
texlive-colortbl-svn29803.v1.0a-17.fc23.noarch
texlive-latexconfig-svn28991.0-17.fc23.noarch
texlive-latex-svn32901.0-17.fc23.noarch
texlive-latex-bin-bin-svn14050.0-17.20140525_r34255.fc23.noarch
texlive-caption-svn30449.2013_05_12-17.fc23.noarch
texlive-latex-fonts-svn28888.0-17.fc23.noarch
texlive-tipa-svn29349.1.3-17.fc23.noarch
texlive-pstricks-svn33328.2.53a-17.fc23.noarch
texlive-lapdf-svn23806.1.1-17.fc23.noarch
texlive-etex-pkg-svn15878.2.0-17.fc23.noarch
texlive-psnfss-svn23394.9.2a-17.fc23.noarch
texlive-underscore-svn18261.0-17.fc23.noarch
texlive-pst-3d-svn17257.1.10-17.fc23.noarch
texlive-pdfpages-svn31518.0.4v-17.fc23.noarch
texlive-float-svn15878.1.3d-17.fc23.noarch
texlive-luaotfload-svn32887.2.4_3-17.fc23.noarch
texlive-pst-pdf-bin-svn7838.0-17.20140525_r34255.fc23.noarch
texlive-tetex-svn33394.3.0-17.fc23.noarch
texlive-setspace-svn24881.6.7a-17.fc23.noarch
texlive-oberdiek-svn33322.0-17.fc23.noarch
texlive-attachfile-svn21866.v1.5b-17.fc23.noarch
texlive-subfig-svn15878.1.3-17.fc23.noarch
texlive-l3kernel-svn32599.SVN_4646-17.fc23.noarch
texlive-etoolbox-svn20922.2.1-17.fc23.noarch
texlive-breakurl-svn29901.1.40-17.fc23.noarch
texlive-lualatex-math-svn31389.1.3-17.fc23.noarch
texlive-currfile-svn29012.0.7b-17.fc23.noarch
texlive-fp-svn15878.0-17.fc23.noarch
texlive-pst-pdf-svn31660.1.1v-17.fc23.noarch
texlive-lm-svn28119.2.004-17.fc23.noarch
texlive-algorithms-svn15878.0.1-17.fc23.noarch
texlive-amsfonts-svn29208.3.04-17.fc23.noarch
texlive-pst-eps-svn15878.1.0-17.fc23.noarch
texlive-paralist-svn30992.2.4-17.fc23.noarch
texlive-booktabs-svn15878.1.61803-17.fc23.noarch
texlive-geometry-svn19716.5.6-17.fc23.noarch
texlive-index-svn24099.4.1beta-17.fc23.noarch
texlive-pst-tree-svn24142.1.12-17.fc23.noarch
texlive-xkeyval-svn27995.2.6a-17.fc23.noarch
texlive-trimspaces-svn15878.1.1-17.fc23.noarch
texlive-tools-svn33063.0-17.fc23.noarch
texlive-texconfig-svn29764.0-17.fc23.noarch
texlive-luatex-bin-svn31084.0-17.20140525_r34255.fc23.x86_64
texlive-hyperref-svn28213.6.83m-17.fc23.noarch
texlive-texlive.infra-svn32920.0-17.fc23.noarch
texlive-pdftex-svn33394.1.40.11-17.fc23.noarch
texlive-bera-svn20031.0-17.fc23.noarch
[lesca@dodo ~]$

How reproducible:
[lesca@dodo ~]$ /usr/bin/pdfjam --no-tidy --outfile work/out.pdf -- work/pdf-2p-a4.pdf 1
          ----
  pdfjam: This is pdfjam version 2.08.
  pdfjam: Reading any site-wide or user-specific defaults...
          (none found)
  pdfjam: Temporary directory for this job is
                    /var/tmp/pdfjam-3RTFB5
  pdfjam: Effective call for this run of pdfjam:
          /usr/bin/pdfjam --no-tidy --outfile work/out.pdf -- work/pdf-2p-a4.pdf 1 
  pdfjam: Calling pdflatex...
  pdfjam: FAILED.
          The call to 'pdflatex' resulted in an error.
          If '--no-tidy' was used, you can examine the
          log file at
                  /var/tmp/pdfjam-3RTFB5/a.log
          to try to diagnose the problem.
  pdfjam ERROR: Output file not written

[lesca@dodo ~]$ pdfinfo /var/tmp/pdfjam-3RTFB5/a.pdf 
Creator:        TeX
Producer:       pdfTeX-1.40.15
CreationDate:   Wed Jan  6 22:33:26 2016
ModDate:        Wed Jan  6 22:33:26 2016
Tagged:         no
UserProperties: no
Suspects:       no
Form:           none
JavaScript:     no
Pages:          1
Encrypted:      no
Page size:      595.276 x 841.89 pts (A4)
Page rot:       0
File size:      67331 bytes
Optimized:      no
PDF version:    1.5

Into temp a.log (attached) I see no error.

Steps to Reproduce:
1. run pdfjam with option --no-tidy on a multi page pdf and extract first page
   pdfjam --no-tidy --outfile out.pdf -- in.pdf 1

Actual results:
Exit with error and into temp folder there is the correct pdf (a.pdf) with one page

Expected results:
exit with no error and produce pdf like specify in command line

Additional Info
Se old bug https://bugzilla.redhat.com/show_bug.cgi?id=1164237
and https://bugzilla.redhat.com/show_bug.cgi?id=1164239
Comment 1 Fedora End Of Life 2016-11-24 09:44:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:39:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.